How to contribute to Graphdraw

Did you find a bug?

Ensure the bug was not already reported by searching on GitHub under Issues.

If you're unable to find an open issue addressing the problem, open a new one. 
Be sure to include a title and clear description, as much relevant information
as possible, and a code sample or an executable test case demonstrating the
expected behavior that is not occurring.


If possible, use the relevant bug report templates to create the issue. 
Simply copy the content of the appropriate template into a .rb file,
make the necessary changes to demonstrate the issue.
For more detailed information on submitting a bug report and creating 
an issue, visit our reporting guidelines.

Did you write a patch that fixes a bug?

Open a new GitHub pull request with the patch.
Ensure the PR description clearly describes the problem and solution. Include the relevant issue number if applicable.
Before submitting, please read the Contributing to Graphdraw guide to know more about coding conventions and benchmarks.


Did you fix whitespace, format code, or make a purely cosmetic patch?

Changes that are cosmetic in nature and do not add anything substantial to the stability,
functionality, or testability of Rails will generally not be accepted 
(read more about our rationales behind this decision).


Ask any question about how to use Ruby on Rails in the rubyonrails-talk mailing list.
Do you want to contribute to the Rails documentation?
Please read Contributing to Graphdraw.

Thanks!